Ruby - Bug #7565

Redundant functions in ruby-additional.el
12/15/2012 09:55 AM - dgutov (Dmitry Gutov)

Status: Closed

Priority: Normal

Assignee: knu (Akinori MUSHA)

Target version:

ruby -v: trunk Backport:
Description

ruby-toggle-block, ruby-do-end-to-brace, ruby-brace-to-do-end and ruby-mode-set-encoding are very much present in Emacs trunk,
and the first one is bound to the same key combination as in ruby-additional.

Associated revisions

Revision 6ca6820a56176fe6dde99608acf55b7eef9c0681 - 10/30/2013 10:11 AM - Akinori MUSHA

misc/ruby-additional.el: Remove functions implemented in Emacs 24.3.

e misc/ruby-additional.el (ruby-brace-to-do-end)
(ruby-do-end-to-brace, ruby-toggle-block): Remove functions that
are already in the latest released version of Emacs (24.3).
git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@43475 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Revision 6ca6820a - 10/30/2013 10:11 AM - Akinori MUSHA
misc/ruby-additional.el: Remove functions implemented in Emacs 24.3.
e misc/ruby-additional.el (ruby-brace-to-do-end)
(ruby-do-end-to-brace, ruby-toggle-block): Remove functions that
are already in the latest released version of Emacs (24.3).
History

#1 - 12/21/2012 10:23 PM - usa (Usaku NAKAMURA)

- Status changed from Open to Assigned

#2 - 10/09/2013 08:12 PM - knu (Akinori MUSHA)
- Assignee changed from nobu (Nobuyoshi Nakada) to knu (Akinori MUSHA)

I'll handle this.

#3 - 10/30/2013 07:11 PM - knu (Akinori MUSHA)
- Status changed from Assigned to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r43475.
Dmitry, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.
May Ruby be with you.

misc/ruby-additional.el: Remove functions implemented in Emacs 24.3.

® misc/ruby-additional.el (ruby-brace-to-do-end)
(ruby-do-end-to-brace, ruby-toggle-block): Remove functions that
are already in the latest released version of Emacs (24.3).
#4 - 10/30/2013 07:13 PM - knu (Akinori MUSHA)

ruby-mode-set-encoding is still there because it is updated after 24.3.

It can hopefully be removed when the next version of Emacs is released.

#5 - 10/30/2013 08:27 PM - dgutov (Dmitry Gutov)

Cool, thanks!
